#ifndef __FD_LOGIN_H__
#define __FD_LOGIN_H__

#include <glib-object.h>
#include <gio/gio.h>
#include <gdesktop-enums.h>

GType fd_login_get_type (void);

#define FD_TYPE_LOGIN (fd_login_get_type ())
#define FD_LOGIN(obj)    \
    (G_TYPE_CHECK_INSTANCE_CAST ((obj), FD_TYPE_LOGIN, FdLogin))
#define FD_IS_LOGIN(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), FD_TYPE_LOGIN))
#define FD_LOGIN_CLASS(klass)    \
    (G_TYPE_CHECK_CLASS_CAST ((klass), FD_TYPE_LOGIN, FdLoginClass))
#define FD_IS_LOGIN_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), FD_TYPE_LOGIN))
#define FD_LOGIN_GET_CLASS(obj)  \
    (G_TYPE_INSTANCE_GET_CLASS ((obj), FD_TYPE_LOGIN, FdLoginClass))

typedef struct _FdLogin          FdLogin;
typedef struct _FdLoginPrivate   FdLoginPrivate;
typedef struct _FdLoginClass     FdLoginClass;

struct _FdLogin
{
    GObject parent_instance;
    FdLoginPrivate *priv;
};

struct _FdLoginClass
{
    GObjectClass parent_class;
};

FdLogin *
fd_login_get_default ();
void
fd_login_suspend (FdLogin *self);
gboolean
fd_login_can_suspend (FdLogin *self);
void 
fd_login_hibernate (FdLogin *self);
gboolean 
fd_login_can_hibernate (FdLogin *self);

#endif
