/* fd.h - 

   Copyright 2007, Red Hat, Inc.

   This file is part of the Found Library.

   The Found Library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.
   
   The Found Library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.
   
   You should have received a copy of the GNU Library General Public
   License along with the Found Library; see the file COPYING.LIB.  If not,
   write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.

   Author: Soren Sandmann <sandmann@redhat.com>
*/

#ifndef __FD_DESKTOP_H__
#define __FD_DESKTOP_H__

#include "fd-bg.h"
#include "fd-bg-crossfade.h"
#include "fd-bg-slide-show.h"
#include "fd-bg-settings.h"
#include "fd-desktop-thumbnail.h"
#include "fd-rr.h"
#include "fd-rr-config.h"
#include "fd-session.h"
#include "fd-systemd.h"
#include "fd-pnp-ids.h"
#include "fd-wall-clock.h"
#include "fd-xkb-info.h"
#include "fd-idle-monitor.h"
#include "fd-idle-action-settings.h"
#include "fd-languages.h"
#include "fd-login.h"
#include "fd-user.h"
#include "fd-util.h"
#include "fd-dmi.h"
#include "fd-types.h"

#endif /* __FD_DESKTOP_H__ */
