#ifndef __FD_USER_H__
#define __FD_USER_H__

#include <glib-object.h>
#include <gio/gio.h>
#include <glib.h>
#include <act/act.h>

//免密登陆
gboolean
fd_user_set_nopwd_login (const gchar *username, gboolean enabled); 
gboolean
fd_user_get_nopwd_login (const gchar *username); 
gboolean 
fd_user_can_support_nopwd_login (const gchar *username);

//自动登陆
gboolean
fd_user_set_automatic_login (const gchar *username, gboolean enabled); 
gboolean
fd_user_get_automatic_login (const gchar *username); 
gboolean 
fd_user_can_support_automatic_login (const gchar *username);

const gchar *
fd_user_get_display_name_by_username (const gchar *username);
const gchar *
fd_user_get_display_name_by_user (ActUser *user);


#endif
